%define		major 1
%define		libname		%mklibname pugixml %{major}
%define		develname	%mklibname pugixml -d

Name:		pugixml
Version:	1.6
Release:	%mkrel 1
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
License:	MIT
URL:		http://pugixml.org
Source0:	http://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{libname}
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries

%description -n %{libname}
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{develname}
Summary:	Development files for %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for package %{name} library

%prep
%setup -q -n %{name}-%{version}/scripts

%build
%cmake
%make

%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/%{name}/contrib
mkdir -p %{buildroot}%{_libdir}

cd ..
install -p -m 0644 contrib/* %{buildroot}%{_datadir}/%{name}/contrib/
install -p -m 0644 src/*.hpp %{buildroot}%{_includedir}/
cd -
cp -a build/*.so* %{buildroot}%{_libdir}/

%files -n %{libname}
%doc ../readme.txt
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc ../docs/*
%{_libdir}/*.so
%{_datadir}/%{name}
%{_includedir}/*.hpp


%changelog
* Fri Aug 12 2016 adrianomorselli <adrianomorselli> 1.6-1uplos2015
- rebuild

* Wed Aug 19 2015 bb <bb> 1.6-1pclos2015
- update and convert to library format

* Fri Oct 05 2012 Ken <lxgator@gmail.com> 1.2-1pclos2012
- initial pkg
